1 Introduction
A dimensional orthogonal representation of a graph over a field is an assignment of a vector to each vertex such that for every , and for every distinct nonadjacent vertices and in . The orthogonality dimension of a graph over a field , denoted by , is defined as the smallest integer for which there exists a dimensional orthogonal representation of over . It is easy to verify that the orthogonality dimension of a graph is sandwiched between its independence number and its clique cover number, that is, for every graph and a field , .
The notion of orthogonal representations over the real field was introduced by Lovász [23] in the study of the Shannon capacity of graphs and was later involved in a geometric characterization of connectivity properties of graphs by Lovász, Saks, and Schrijver [25]. The orthogonality dimension over the complex field was used by de Wolf [9] in a characterization of the quantum oneround communication complexity of promise equality problems and by Cameron et al. [7] in the study of the quantum chromatic number of graphs (see also [34, 5, 6]). An extension of orthogonal representations, called orthogonal birepresentations, was introduced by Haemers [16] (see also [31]). Their smallest possible dimension, known as the minrank parameter of graphs, has found further applications in information theory, e.g., [2, 30, 26], and in theoretical computer science, e.g., [37, 32, 17] (see Section 2.2).
The present paper provides lower bounds on the orthogonality dimension of graphs over the real and complex fields using topological methods. The use of topological methods in combinatorics was initiated in the study of the chromatic number of the Kneser graph defined as follows. For integers , the Kneser graph is the graph whose vertices are all the subsets of where two sets are adjacent if they are disjoint. In 1955, Kneser [19] observed that admits a proper coloring with colors, simply by coloring every set by the smallest integer in , and conjectured that fewer colors do not suffice. In 1978, Lovász [22] confirmed the conjecture by a breakthrough application of a tool from algebraic topology, the BorsukUlam theorem [4]. Since then, topological methods have led to additional important results in combinatorics, discrete geometry, and theoretical computer science. For an indepth background to the topic we refer the interested reader to Matoušek’s excellent book [28].
Following Lovász’s proof of the Kneser conjecture, several alternative proofs were given in the literature. The simplest known proof of the conjecture is the one of Greene [15], inspired by a proof found by Bárány [3] soon after Lovász’s. Other proofs were given by Dol’nikov [10], Sarkaria [33], and Matoušek [27], where Matoušek’s proof is the only one derived from a combinatorial argument (but the topological inspiration is still around). Schrijver considered in [35] the graph defined as the subgraph of induced by the collection of all subsets of that include no consecutive integers modulo (that is, the subsets such that if then , and if then ). It was shown in [35] that is a vertexcritical subgraph of , that is, its chromatic number is equal to that of and a removal of any vertex of decreases its chromatic number.
The various known proofs of the Kneser conjecture extend far beyond the chromatic number of the Kneser graph. Extensions of these proofs to lower bounds on the chromatic number of general graphs were given by Dol’nikov [10], by Kriz [20], and by Matoušek and Ziegler [29] who generalized the proof techniques of Lovász, Sarkaria, and Bárány. Such extensions are usually stated for a generalized Kneser graph , defined as the graph whose vertex set is a set system where two sets are adjacent if they are disjoint. The generalized bounds are tight for the collection of all subsets of which corresponds to the graph , and some of them imply a tight lower bound on the chromatic number of the graph as well. It is not difficult to see that every graph is isomorphic to for some set system (see, e.g., [29]), hence the bounds hold for all graphs (but for certain graphs they are quite weak). It was shown in [29] that the extensions of the proofs of Lovász, Sarkaria, Bárány, Dol’nikov, and Kriz can be (almost) linearly ordered by strength, where Lovász’s original proof technique is the strongest.
1.1 Topological Bounds on the Orthogonality Dimension
We prove two general lower bounds on the orthogonality dimension of graphs over the real and complex fields and on the minrank parameter over the real field (see Definition 2.3). For convenience, we state the results for the complements of the generalized Kneser graphs . As mentioned before, every graph can be represented in this form. The two bounds are proved using the BorsukUlam theorem from algebraic topology.
The statement of our first bound is purely combinatorial. It strengthens the lower bounds on the chromatic number obtained independently by Dol’nikov [10] and by Kriz [20]. Our proof is inspired by the proof of the Kneser conjecture by Greene [15]. To state the bound, we need the following definition (see, e.g., [28, Section 3.4]).
Definition 1.1.
Let be a set system with ground set such that . The colorabilitydefect of , denoted by , is the minimum size of a set such that the hypergraph on the vertex set with the hyperedge set is colorable. Equivalently, is the minimum number of white elements in a coloring of by red, blue and white, such that no set of is completely red or completely blue (but it may be completely white).
Theorem 1.2.
For every set system such that ,

,

, and

.
As an easy consequence of Theorem 1.2, we obtain that the orthogonality dimension of the complement of the Kneser graph over the reals is (see Corollary 3.3).
Our second bound has a geometric nature. Its proof employs the approach of Bárány [3] to the Kneser conjecture and strengthens a general lower bound on the chromatic number that follows from [3] and is given explicitly in [29]. In what follows, stands for the dimensional unit sphere , and an open hemisphere of is a set of the form for some .
Theorem 1.3.
Let be a set system with ground set such that . Suppose that for an integer there exist points such that every open hemisphere of contains the points of for some . Then,

,

, and

.
The theorem is used to prove that the orthogonality dimension of the complement of the Schrijver graph over the reals is (see Corollary 3.5). The proof technique of Theorem 1.3 is also used to prove a lower bound on the orthogonality dimension over the reals of the complement of the Borsuk graph defined by Erdős and Hajnal [11] (see Section 3.2.2).
1.2 Applications
We describe below applications of our results to information theory and to quantum communication complexity.
1.2.1 Shannon Capacity
The strong product of two graphs and is defined as the graph whose vertex set is where two distinct vertices and are adjacent if for every the vertices and are either equal or adjacent in . The th power of a graph , denoted by , is defined as the product of copies of . The Shannon capacity of a graph , introduced in 1956 by Shannon [36], is the limit whose existence follows from supermultiplicativity and Fekete’s lemma. This graph parameter is motivated by a question in information theory on the capacity of noisy channels. Indeed, if is the graph whose vertices are the symbols that a channel can transmit, and two symbols are adjacent if they may be confused in the transmission, then can be intuitively interpreted as the effective alphabet size of the channel. The Shannon capacity parameter of graphs is very far from being well understood. It is not known if the problem of deciding whether the Shannon capacity of an input graph exceeds a given value is decidable, and the exact Shannon capacity is unknown even for small and fixed graphs, e.g., the cycle on vertices.
Several upper bounds on the Shannon capacity of graphs were presented in the literature over the years. It is easy to see that , and Shannon showed already in [36] the stronger bound , where stands for the fractional chromatic number. A useful way to obtain an upper bound on the Shannon capacity is to come up with a realvalued nonnegative submultiplicative function on graphs that forms an upper bound on the independence number, that is, a function satisfying for every two graphs and for every graph . Indeed, for such an we have
For example, it is not difficult to verify that the orthogonality dimension over any field is a submultiplicative upper bound on the independence number, hence for every graph . Other upper bounds on the Shannon capacity obtained in this way are the function due to Lovász [23], the parameter due to Haemers [16], and the minimum dimension of polynomial representations due to Alon [1].
In a recent work, Hu, Tamo, and Shayevitz [18] defined for every function
as above a fractional linear programming variant
. For a graph on the vertex set , is the value of the following linear program.(1) 
where stands for the subgraph of induced by . It was proved in [18] that if is a submultiplicative upper bound on the independence number then so is , hence also forms an upper bound on the Shannon capacity. Moreover, the upper bound is at least as strong as , that is, for every graph (see Section 4). It was shown in [18] that the Lovász function satisfies for every graph , whereas for other upper bounds on the Shannon capacity one can have
. For example, for every odd integer
the cycle satisfies .In this work, we aim to study the integrality gap of the fractional quantities
as a function of the number of vertices. Namely, we would like to estimate the largest possible ratio
over all vertex graphs . We start with a general upper bound. A function on graphs is said to be subadditive if for every graph on the vertex set and every sets and such that , . The following theorem shows that for subadditive functions the ratio between and is at most logarithmic in the number of vertices.Theorem 1.4.
For every subadditive function and every vertex graph ,
It is easy to verify that all the aforementioned upper bounds on the Shannon capacity are subadditive, hence their fractional variants cannot improve the bound on the Shannon capacity by more than a logarithmic multiplicative term.
As an application of our results on the Kneser graph, we obtain a matching lower bound on the integrality gap of the fractional orthogonality dimension over the real and complex fields.
Theorem 1.5.
For every fixed , there exists an explicit family of vertex graphs such that
We also show an unbounded integrality gap for the fractional minrank parameter over various fields (see Theorem 4.2).
1.2.2 Quantum Communication Complexity
In the standard model of communication complexity, two parties Alice and Bob get inputs from two sets respectively, and they have to compute by a communication protocol the value of for a twovariable function . In a promise communication problem, the inputs are guaranteed to be drawn from a subset of
known to the parties in advance. In a oneround protocol, the communication flows only from Alice to Bob. The classical, respectively quantum, communication complexity of a problem is the minimal number of bits, respectively qubits, that the parties have to exchange on worstcase inputs in a communication protocol for the problem.
The orthogonality dimension of graphs over the complex field plays a central role in the study of the quantum communication complexity of promise equality problems.^{1}^{1}1Note that the orthogonality dimension parameter (also known as orthogonality rank) is sometimes defined in the quantum communication complexity literature as the orthogonality dimension of the complement graph, namely, the definition requires vectors associated with adjacent vertices to be orthogonal. In this paper we have decided to follow the definition commonly used in the information theory literature. In such problems, Alice and Bob get either equal or adjacent vertices of a graph and their goal is to decide whether their inputs are equal. De Wolf [9, Section 8.5] showed that the classical oneround communication complexity of the promise equality problem associated with a graph is , and that its quantum oneround communication complexity is . Briët et al. [5] proved that any classical protocol for such a problem can always be reduced to a classical oneround protocol with no extra communication, while in the quantum setting the oneround and tworound communication complexities of a promise equality problem can have an exponential gap. This separation was obtained using the Lovász function and the relation (see [5, Lemma 2.5]).
For a set system with , consider the promise equality problem in which Alice and Bob get either equal or disjoint sets from , and their goal is to decide whether their inputs are equal. Observe that the graph associated with this problem is the generalized Kneser graph , hence its quantum oneround communication complexity is precisely . Our bounds on the orthogonality dimension of such graphs over have applications to the quantum oneround communication complexity of promise equality problems, as demonstrated below.
For integers , consider the communication complexity problem in which Alice and Bob get two subsets of , their sets are guaranteed to be either equal or disjoint, and their goal is to decide whether the sets are equal. The graph associated with this problem is the Kneser graph , so its classical communication complexity is . As an application of Theorem 1.2, we get that (see Corollary 3.3), yielding the precise quantum oneround communication complexity of the problem up to an additive . We note that the lower bound on obtained from the Lovász function would not suffice here, since (see [23]).
The orthogonality dimension over the complex field was also used by Briët et al. [5] to characterize the quantum oneround communication complexity of a family of problems called list problems, originally studied by Witsenhausen [38]. In the list problem that corresponds to the Kneser graph , Alice gets an subset of , Bob gets a list of pairwise disjoint subsets of that includes the set , and his goal is to discover . It follows from [5] that the quantum oneround communication complexity of this problem is equal to the quantity determined above.
1.3 Outline
The rest of the paper is organized as follows. In Section 2 we provide some background on the BorsukUlam theorem and on the minrank parameter of graphs. In Section 3 we prove Theorems 1.2 and 1.3 and obtain our results on the Kneser, Schrijver, and Borsuk graphs. Finally, in Section 4 we study the integrality gap of fractional upper bounds on the Shannon capacity and prove Theorems 1.4 and 1.5.
2 Preliminaries
2.1 The BorsukUlam Theorem
For an integer , let denote the dimensional unit Euclidean sphere. For a point , let denote the open hemisphere of centered at . We state below the BorsukUlam theorem, proved by Borsuk in 1933 [4].
Theorem 2.1 (BorsukUlam Theorem).
For every continuous function there exists such that .
Equivalently, if a continuous function satisfies for all then . For several other equivalent versions of Theorem 2.1, see [28, Section 2.1].
We also need a variant of the BorsukUlam theorem for complexvalued functions. We start with some notations. For a complex number we denote by and the real and imaginary parts of respectively, hence . For an integer , let be the natural embedding of in defined by
(2) 
Clearly, is a bijection from to . Notice that we have for every . Our variant of the BorsukUlam theorem for complexvalued functions is given below.
Theorem 2.2 (BorsukUlam Theorem for complexvalued functions).
For every continuous function there exists such that .

For a continuous function consider the function defined by the composition . Applying Theorem 2.1 to , we get that there exists such that . By the invertibility of , this implies that , as required.
2.2 Minrank
The minrank parameter of graphs, introduced by Haemers in [16], is defined as follows.
Definition 2.3.
Let be a graph on the vertex set and let be a field. We say that an matrix over represents if for every , and for every distinct nonadjacent vertices . The minrank of over is defined as
The minrank parameter can be equivalently defined in terms of orthogonal birepresentations. A dimensional orthogonal birepresentation of a graph over a field is an assignment of a pair to each vertex such that for every , and for every distinct nonadjacent vertices and in . It can be verified that is the smallest integer for which there exists a dimensional orthogonal birepresentation of over (see, e.g., [31, 8]). Since orthogonal birepresentations generalize orthogonal representations, we clearly have for all graphs and fields .
The minrank parameter is always bounded from above by the clique cover number. The following lemma shows a lower bound on the minrank parameter over finite fields in terms of the clique cover number. Its proof is implicit in [21] and we give here a quick proof for completeness.
Lemma 2.4 ([21]).
For every graph and a finite field , .

Denote . Then there exists an assignment of a pair to each vertex that forms an orthogonal birepresentation of over . Consider the coloring that assigns to every vertex the color . We claim that this is a proper coloring of . Indeed, for two vertices and adjacent in we have and , hence . Since the number of used colors is at most , it follows that , as required.
3 Topological Bounds on the Orthogonality Dimension
In this section we prove Theorems 1.2 and 1.3 and obtain our results on the Kneser, Schrijver, and Borsuk graphs. The proofs employ the BorsukUlam theorem given in Section 2.1.
3.1 Proof of Theorem 1.2
We start with the lower bound on the orthogonality dimension over the real field.

Let be a set system with ground set such that , and put . Then there exists an assignment of a nonzero vector to every set , such that for every disjoint sets . It can be assumed without loss of generality that the first nonzero coordinate in every vector is positive (otherwise replace by ).
Let be points in a general position, that is, no of them lie on a dimensional sphere. For a set denote . Define a function by
Observe that for every , is a linear combination with positive coefficients of the vectors such that , where is the open hemisphere of centered at . The function is clearly continuous, hence by Theorem 2.1 there exists such that . However, is a linear combination of the vectors with whereas is a linear combination of the vectors with . Since , it follows that the sets involved in the linear combination of are all disjoint from those involved in the linear combination of . The fact that for every disjoint sets yields that the vectors and are orthogonal, and by they must be equal to the zero vector.
We claim now that there is no with . To see this, assume in contradiction that are the sets with this property (), and let be the least coordinate in which at least one of the vectors is nonzero. Since is a linear combination of these vectors with positive coefficients, using the assumption that the first nonzero coordinate of every is positive, it follows that the th coordinate of is positive in contradiction to being the zero vector. By the same reasoning, there is no with .
Finally, let denote the set of indices for which does not belong to nor to . By the assumption of general position, . We color the elements of as follows: If then is colored red, and if then is colored blue. Since no set satisfies or , we get a proper coloring of the hypergraph . This implies that , as required.
We next prove our lower bound on the orthogonality dimension over the complex field. Its proof is similar to the proof over the reals but requires the BorsukUlam theorem for complexvalued functions (Theorem 2.2). Recall that stands for the natural embedding of in given in (2).

Let be a set system with ground set such that , and put . Then there exists an assignment of a nonzero vector to every set , such that for every disjoint sets . It can be assumed without loss of generality that the first nonzero coordinate in every vector is positive (otherwise replace by ).
Let be points in a general position. As before, for a set denote . Define a function by
Observe that for every , is a linear combination with real positive coefficients of the vectors satisfying . The function is clearly continuous, hence by Theorem 2.2 there exists such that . However, is a linear combination of the vectors with whereas is a linear combination of the vectors with . Since , it follows that the sets involved in the linear combination of are all disjoint from those involved in the linear combination of . The fact that for every disjoint sets yields that the vectors and are orthogonal, and by they must be equal to the zero vector.
We claim now that there is no with . To see this, assume in contradiction that are the sets with this property (), and let be the least coordinate in which at least one of the vectors is nonzero. It follows that the th coordinate of is positive in contradiction to being the zero vector. By the same reasoning, there is no with .
Finally, let denote the set of indices for which does not belong to nor to . By the assumption of general position, . We color the elements of as follows: If then is colored red, and if then is colored blue. Since no set satisfies or , we get a proper coloring of the hypergraph . This implies that , as required.
Finally, we prove our lower bound on the minrank parameter over the real field (recall Definition 2.3). We start with the following lemma. Here, a real matrix is said to be nonnegative if all of its entries are nonnegative.
Lemma 3.1.
Let be a set system such that , and let be a real nonnegative matrix that represents the graph over . Then, .

Let be a set system of size with ground set such that , let be a nonnegative matrix that represents the graph over , and put . Write for matrices . For every set , let and be the dimensional columns associated with in and respectively, and let be the dimensional concatenation of and . Since represents , we have for every , and for every disjoint sets . By the assumption that is nonnegative, we also have for all .
Let be points in a general position. As before, for a set denote . Define a function by
Observe that for every , is a linear combination with positive coefficients of the vectors such that . The function is clearly continuous, hence by Theorem 2.1 there exists such that . For this , denote where . By we get that is a linear combination of the vectors with , and by we get that is a linear combination of the vectors with . However, the sets with are all disjoint form the sets with , hence the fact that for every disjoint sets yields that the vectors and are orthogonal.
We claim now that there is no with . To see this, assume in contradiction that are the sets with this property (). By the definition of we can write for some positive coefficients . However, this implies that
where the inequality holds since for all pairs and for every . This is in contradiction to the fact that the vectors and are orthogonal. By the same reasoning, there is no with .
Finally, let denote the set of indices for which does not belong to nor to . By the assumption of general position, . We color the elements of as follows: If then is colored red, and if then is colored blue. Since no set satisfies or , we get a proper coloring of the hypergraph . This implies that , as required.

Let be a set system of size such that , and let be an matrix that represents the graph over . Consider the matrix defined by for all . It is well known and easy to check that
is a principal submatrix of the tensor product
of with itself, henceThe nonnegative matrix represents since it has the same zero pattern as , so we can apply Lemma 3.1 to obtain that
completing the proof.
3.1.1 The Kneser Graph
Recall that for integers , the Kneser graph is the graph whose vertices are all the subsets of , where two sets are adjacent if they are disjoint. We need the following simple claim (see, e.g., [28, Section 3.4]).
Claim 3.2.
For integers , let be the collection of all subsets of . Then, .

Let be an arbitrary set of size , and consider an arbitrary balanced coloring of the elements of . Clearly, no subset of is monochromatic, hence . For the other direction, notice that for every of size at most there are at least elements in , hence every coloring of includes a monochromatic subset. This implies that and completes the proof.
The following corollary summarizes our bounds for the Kneser graph.
Corollary 3.3.
For every integers ,

,

, and

.
3.2 Proof of Theorem 1.3
We prove below Item 1 of Theorem 1.3. The other two items follow similarly, using ideas from the proofs of Items 2 and 3 of Theorem 1.2. To avoid repetitions, we omit the details.

Let be a set system with ground set such that , and let be the points given in the theorem. Put . Then there exists an assignment of a nonzero vector to every set , such that for every disjoint sets . It can be assumed without loss of generality that the first nonzero coordinate in every vector is positive (otherwise replace by ).
Define a function by
For any , let be the collection of sets such that , where, as before, . By the assumption on the points we have . Observe that is a linear combination with positive coefficients of the vectors with . Letting be the least coordinate in which at least one of the vectors of is nonzero, it follows that the th coordinate of is positive, hence is nonzero. Further, by we get that the sets of are all disjoint from those of , hence the fact that for every disjoint sets yields that the vectors and are orthogonal.
Consider the function defined by
Note that is well defined as is nonzero for every . Consider also the function that maps every to the projection of to its last coordinates (i.e., all of its coordinates besides the first one). We claim that there is no such that . To see this, notice that is a unit vector whose first entry is nonnegative, so the projection of to its last coordinates fully determines . This implies that if there exists an satisfying then this also satisfies , in contradiction to the orthogonality of and . Since is continuous we can apply Theorem 2.1 to derive that which implies that and completes the proof.
3.2.1 The Schrijver Graph
We say that a set is stable if it does not contain two consecutive elements modulo (that is, if then , and if then ). In other words, a stable subset of is an independent set in the cycle with the numbering from to along the cycle. Recall that for , the Schrijver graph is the graph whose vertices are all the stable subsets of , where two sets are adjacent if they are disjoint.
We need the following strengthening of a lemma of Gale [13] proved by Schrijver in [35]. See [28, Section 3.5]
for a nice proof by Ziegler based on the moment curve.
Lemma 3.4 ([35]).
For every integers , there exist points such that every open hemisphere of contains the points of for some stable subset of .
For , consider the collection of all stable subsets of , and notice that is the graph . By Lemma 3.4, satisfies the condition of Theorem 1.3 for . This directly implies the following corollary which summarizes our bounds for the Schrijver graph.
Corollary 3.5.
For every integers ,

,

, and

.
Remark 3.6.
3.2.2 The Borsuk Graph
For and an integer , the Borsuk graph is defined as the (infinite) graph on the vertex set where two points are adjacent if . It is known that the BorsukUlam theorem implies that for every and , and that this bound is tight whenever (see, e.g., [24]). We apply here the proof technique of Theorem 1.3 to obtain the same bound on the orthogonality dimension over of the complement of . We first prove the following.
Theorem 3.7.
For and an integer , let be a finite collection of points in such that for every
Comments
There are no comments yet.